heimdal (1.6~rc2+dfsg-7) unstable; urgency=medium

  * Use alternatives for kpasswd, ksu, kdestroy, kswitch, kadmin and ktutil.
    + Allows installation together with krb5-user. Closes: #482528
  * Move kadmin and ktutil from /usr/sbin to /usr/bin. Closes: #168170

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 01 Jun 2014 21:55:06 +0200

heimdal (1.6~rc2+dfsg-6) unstable; urgency=medium

  * Remove duplicate dependency on ${misc:Depends} in heimdal-dev.
  * Use canonical URL in Vcs-Git header.
  * Drop conflicts with rsh-client in heimdal-clients, as rsh is no
    longer shipped.
  * Add 049_testkdc_timeout: Extend timeout waiting for iprop slave to
    come up during tests. Closes: #745683

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 25 Apr 2014 02:30:19 +0200

heimdal (1.6~rc2+dfsg-5) unstable; urgency=medium

  * Restrict flags output by pkg-config further. (#745543)
  * Drop unnecessary build conflict with heimdal-dev.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 23 Apr 2014 02:21:25 +0200

heimdal (1.6~rc2+dfsg-4) unstable; urgency=medium

  * Fix use of as-needed linker flag.
  * Prevent build errors when system gssapi library has extra symbols.
    Thanks Dimitri John Ledkov. Closes: #745545
  * Enable parallel build. Thanks Dimitri John Ledkov. Closes: #745508
  * Don't list libraries not required for dynamic linking in .pc files.
    Closes: #745543

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 21 Apr 2014 18:15:02 +0200

heimdal (1.6~rc2+dfsg-3) unstable; urgency=medium

  * Use alternatives for klist and kinit. Closes: #205498
  * Add lintian-override for license warning of multi-license RFC 3492.
  * Enable running of testsuite during build.
  * Add unzip (for unzip binary) and netbase (for /etc/services) build
    dependencies, required for testsuite.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 20 Apr 2014 22:52:30 +0200

heimdal (1.6~rc2+dfsg-2) unstable; urgency=medium

  * Add 046_hurd_sundevdata: Fix definition of _IOT_sundevdata for GNU
    Hurd. Thanks, Svante Signell. Closes: #738669

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 01 Mar 2014 17:48:26 +0000

heimdal (1.6~rc2+dfsg-1) unstable; urgency=medium

  * New upstream snapshot.
   + Removes telnet, rsh and pop implementations.
    - Drop 027_rsh_use_ktelnet patch.
   + Drop 045_kadm_pcfile, now included upstream.
   + Drop 046_kcm_supports_sigterm, now included upstream.
   + Drop 047_fix_hdb_so_loading, now included upstream.
  * Add 045_hx509_symbol_names: prevent symbol renames.
  * Source lsb functions in init scripts.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 23 Feb 2014 19:28:46 +0000

heimdal (1.6~git20131207+dfsg-1) unstable; urgency=medium

  * New upstream snapshot from 1.6 branch.
   + Drop 043_hx509_heimbase: applied upstream.
   + Drop 044_krb5_pcfile: applied upstream.
  * Add 046_kcm_supports_sigterm. Closes: #654349
  * Add Provides: heimdal-hdb-api-8 to hdb package, so Samba and others can
    depend on a specific version of the API.
  * Add 047_fix_hdb_so_loading, fixing plugin loading
    in the HDB library. Thanks Andrew Bartlett, Jeff Clark.
  * Bump standards version to 3.9.5. (no changes)
  * Document log destination format in kdc.conf rather than referring to
    krb5_openlog.3 manpage shipped in heimdal-dev. Closes: #674542
  * Drop obsolete bzr-builddeb.conf.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 07 Dec 2013 13:32:43 +0000

heimdal (1.6~git20131117+dfsg-3) unstable; urgency=low

  * Move generic .pc files from heimdal-multidev to heimdal-dev package
    to prevent conflicts with libkrb5-multidev. Closes: #730267
  * Rename login.1 to login.heimdal.1 to support installing together
    with login. Closes: #729946
  * Set random master key if no explicit password was specified. Closes:
    #730011

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 24 Nov 2013 14:59:33 +0000

heimdal (1.6~git20131117+dfsg-2) unstable; urgency=low

  * Move asn1_compile and asn1_print to heimdal-multidev, since they
    don't conflict with libkrb5-dev.
  * Add 043_hx509_heimbase: fixes use of hx509.h.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 20 Nov 2013 01:22:08 +0000

heimdal (1.6~git20131117+dfsg-1) unstable; urgency=low

  * New upstream snapshot.
   + Drop texinfo_5.1 and texinfo_b_5.1; applied upstream.
  * Install asn1_compile and asn1_print binaries in heimdal-dev.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 17 Nov 2013 15:06:09 +0000

heimdal (1.6~git20120403+dfsg1-4) unstable; urgency=low

  * Fix broken symlinks. Closes: #715069.
    * heimdal-multidev depends on libotp0-heimdal and libsl0-heimdal.
    * remove windc symlinks.
  * Bump standards version to 3.9.4.

 -- Brian May <bam@debian.org>  Tue, 16 Jul 2013 09:25:53 +1000

heimdal (1.6~git20120403+dfsg1-3) unstable; urgency=low

  * Move /usr/share/doc/heimdal-kdc/examples to
    /usr/share/heimdal-kdc. Closes: #710731.
  * Fix textinfo build errors. Closes: #711221.

 -- Brian May <bam@debian.org>  Mon, 03 Jun 2013 12:06:56 +1000

heimdal (1.6~git20120403+dfsg1-2) unstable; urgency=low

  * Enable libcap-ng-dev only on Linux. Fixes FTBFS on kfreebsd-* and
    hurd-*. Closes: #674923
  * Support extra configure flags through dpkg-buildflags, to (for
    example) enable hardened build flags. Thanks Moritz Muehlenhoff.
    Closes: 668022

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 30 May 2012 12:25:33 +0200

heimdal (1.6~git20120403+dfsg1-1) unstable; urgency=low

  * Fix typo in example kdc.conf section name. LP: #871635
  * New upstream snapshot.
   + Drop 040_hurd_pthread, now applied upstream.
   + Drop 043_hurd_ioctl, now applied upstream.
  * Add dependency on libcap-ng-dev, so KDC can drop privileges.
  * Build-Depend on libperl4-corelibs-perl for prototype script.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 03 May 2012 17:42:26 +0200

heimdal (1.6~git20120311.dfsg.1-2) unstable; urgency=low

  * Remove unnecessary Priority: fields for binary packages.
  * Bump standards version to 3.9.3 (no changes).
  * Fix description of libwind0-heimdal package.
  * Update 041_hurd_maxhostnamelen to cover a few more uses of
    MAXHOSTNAMELEN. Fixes FTBFS on hurd-i386. Thanks, Pino Toscano.
    Closes: #666073

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 29 Mar 2012 01:59:36 +0200

heimdal (1.6~git20120311.dfsg.1-1) unstable; urgency=low

  * New upstream snapshot.
   + Drop 011_sharedlibs patch, now upstream.
  * Revert incorrect conflicts with kcc in heimdal-clients.
  * Make roken, hx509, heimntlm and wind libraries priority optional.
  * Rename kcc to heimtools, to avoid clashes with 'kcc' utility.
    Closes: #644138
  * Link with --as-needed to prevent unnecessary dependencies.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 14 Mar 2012 11:54:02 +0100

heimdal (1.5.dfsg.1-3) unstable; urgency=low

  * Add conflicts with kcc to heimdal-clients. Closes: #644138

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 03 Oct 2011 23:50:05 +0200

heimdal (1.5.dfsg.1-2) unstable; urgency=low

  * Re-merge 1.4.0-1 through 1.4.0-8.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 01 Oct 2011 15:02:33 +0200

heimdal (1.5.dfsg.1-1) unstable; urgency=low

  * New upstream release.
  * Fix symbolic links in heimdal-dev. Closes: #640278
  * Add Vcs-Git header.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 21 Sep 2011 03:04:31 +0200

heimdal (1.5~pre2+git20110813-1) experimental; urgency=low

  * New upstream snapshot.
  * Cherry-pick binary-arch fix from Ubuntu. Thanks Matthias Klose.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 13 Aug 2011 18:22:32 +0200

heimdal (1.5~pre2+git20110804-1) experimental; urgency=low

  * New upstream snapshot.
  * Install mech.5 and login.access.8.
  * Install kdigest and gsstool in heimdal-clients.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 04 Aug 2011 02:14:09 +0200

heimdal (1.5~pre2+git20110729-2) experimental; urgency=low

  * Add support for multi-arch.
  * Use separate config file for debconf.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 31 Jul 2011 19:00:53 +0200

heimdal (1.5~pre2+git20110729-1) experimental; urgency=low

  * New upstream snapshot.
  * Switch to new style debhelper.
  * Add 033_lorikeet: some hdb improvements required by Samba 4.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 29 Jul 2011 13:34:24 +0200

heimdal (1.5~pre2+git20110720-2) experimental; urgency=low

  * Fix dependency on pthreads when building on Linux 3.0.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 21 Jul 2011 17:40:58 +0200

heimdal (1.5~pre2+git20110720-1) experimental; urgency=low

  * New upstream snapshot.
  * Bump standards version to 3.9.2 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 20 Jul 2011 19:31:02 +0200

heimdal (1.4.0+git20110411.dfsg.1-1) experimental; urgency=low

  * New upstream snapshot.
   + Makes a few more hx509 functions public, required by newer versions of
     Samba 4. Dropped 029_hx509_public patch.
   + Introduces libgssapi3-heimdal.
   + Switched to libeditline. Dropped libeditline patch.
  * Add symbols files for all libraries.
  * Fix paths in heimdal-gssapi.pc

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 10 Apr 2011 14:25:57 +0200

heimdal (1.4.0+git20110220.dfsg.1-2) experimental; urgency=low

  * Add 029_hx509_public: Make a few hx509 public, as required by
    Samba 4.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 21 Feb 2011 20:29:50 +0100

heimdal (1.4.0+git20110220.dfsg.1-1) experimental; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 20 Feb 2011 22:29:39 +0100

heimdal (1.4.0+git20110124.dfsg.1-3) experimental; urgency=low

  * Add missing dependencies on libkdc and libhdb to heimdal-multidev.
  * Link with --as-needed.
  * Fix linking with binutils-gold.
  * Drop unnecessary conflicts with libreadline-dev.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 25 Jan 2011 15:21:12 -0800

heimdal (1.4.0+git20110124.dfsg.1-2) experimental; urgency=low

  * Install kcc. Closes: #608673
  * Cherry-pick fix for kdc.h - required for Samba 4.
  * Remove unsupported arguments for configure.
  * Install krb5-config in multidev. Closes: #586521

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 24 Jan 2011 12:33:55 -0800

heimdal (1.4.0+git20110124.dfsg.1-1) experimental; urgency=low

  * Add build-conflicts with libreadline-dev, which breaks compilation.
  * New upstream snapshot.
  * Use dh-autoreconf to regenerate auto tools files.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 24 Jan 2011 11:18:05 -0800

heimdal (1.4.0+git20101228.dfsg.1-1) experimental; urgency=low

  * New upstream snapshot.
   + No longer installs kauth.
   + Fixes support for linking with --as-needed. Closes: #607589
  * Build hcrypto library rather than using libssl. Required by Samba 4.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 20 Dec 2010 00:17:51 +0100

heimdal (1.4.0-8) unstable; urgency=low

  * Multiarch support.

    In heimdal-multidev, move libraries from /usr/lib/heimdal to
    /usr/lib/<triplet>/heimdal.

    In heimdal-dev, move symlinks from /usr/lib to /usr/lib/<triplet>.

 -- Brian May <bam@debian.org>  Wed, 06 Jul 2011 15:05:25 +1000

heimdal (1.4.0-7) unstable; urgency=low

  * NFS needs same dispensation to use DES as AFS (closes: #629276).

 -- Brian May <bam@debian.org>  Tue, 07 Jun 2011 12:29:45 +1000

heimdal (1.4.0-6) unstable; urgency=low

  * Fix AFS support (closes: #627947), was broken by patches for
    The Hurd in version 1.4.0.
  * Remove ignored configure flags in debian/rules.

 -- Brian May <bam@debian.org>  Sun, 29 May 2011 17:02:16 +1000

heimdal (1.4.0-5) unstable; urgency=low

  * Fix segfaults in kcm by upstream patches (closes: #618992).
  * Remove *.la files (closes: #621340).

 -- Brian May <bam@debian.org>  Thu, 07 Apr 2011 11:24:49 +1000

heimdal (1.4.0-4) unstable; urgency=low

  * Apply patches for The Hurd (closes: #483281).

 -- Brian May <bam@debian.org>  Thu, 24 Feb 2011 10:43:05 +1100

heimdal (1.4.0-3) unstable; urgency=low

  * Make versioned depends for libkafs0-heimdal (closes: #613730).

 -- Brian May <bam@debian.org>  Mon, 21 Feb 2011 11:31:48 +1100

heimdal (1.4.0-2) unstable; urgency=low

  * Fix description of heimdal-dbg package (closes: #605663).
  * Fix FTBFS with ld --no-add-needed (closes: 607589).

 -- Brian May <bam@debian.org>  Thu, 30 Dec 2010 11:20:11 +1100

heimdal (1.4.0-1) unstable; urgency=low

  * New upstream version.
  * Update standards version to 3.9.1.
  * Rewrite debian/rules clean list.

 -- Brian May <bam@debian.org>  Tue, 02 Nov 2010 12:03:56 +1100

heimdal (1.4.0~git20100726.dfsg.1-1) unstable; urgency=low

  * New upstream version.
  * Update standards version to 3.9.0.

 -- Brian May <bam@debian.org>  Mon, 26 Jul 2010 15:19:37 +1000

heimdal (1.4.0~git20100605.dfsg.1-3) unstable; urgency=low

  * Retry remove dangling symlinks to windc.so (closes: #577229).
  * Also remove windc.la and windc.a, as they would appear to be pointless.

 -- Brian May <bam@debian.org>  Thu, 01 Jul 2010 15:16:02 +1000

heimdal (1.4.0~git20100605.dfsg.1-2) unstable; urgency=low

  * Include updated Danish (da) debconf translations (closes: #585575).
  * Removing dangling symlinks to windc.so (closes: #577229).
  * Do not set -e in init.d script (closes: #574425).

 -- Brian May <bam@debian.org>  Thu, 17 Jun 2010 14:57:18 +1000

heimdal (1.4.0~git20100605.dfsg.1-1) unstable; urgency=low

  * New upstream version.
      * Git version abd5fdab5a7e189ef3f9c6aeafcebf94ddde157d.
      * Check the GSS-API checksum exists before trying to use
        it [CVE-2010-1321].

 -- Brian May <bam@debian.org>  Sat, 05 Jun 2010 10:31:49 +1000

heimdal (1.4.0~git20100322.dfsg.2-4) unstable; urgency=low

  * Add a db_stop before automatically-added debhelper parts (Closes: #579127).

 -- Brian May <bam@debian.org>  Wed, 28 Apr 2010 15:18:46 +1000

heimdal (1.4.0~git20100322.dfsg.2-3) unstable; urgency=low

  * Add depends on libwind0-heimdal to heimdal-multidev.

 -- Brian May <bam@debian.org>  Tue, 13 Apr 2010 15:25:48 +1000

heimdal (1.4.0~git20100322.dfsg.2-2) unstable; urgency=low

  * Fix watch file to properly mangle upstream release candidate
    versions (closes: #575872).

 -- Brian May <bam@debian.org>  Thu, 08 Apr 2010 15:07:30 +1000

heimdal (1.4.0~git20100322.dfsg.2-1) unstable; urgency=low

  * Remove non-free RFCs again. Somehow the change went missing from the script
  in debian/scripts/convert_source.

 -- Brian May <bam@debian.org>  Mon, 22 Mar 2010 15:42:05 +1100

heimdal (1.4.0~git20100322.dfsg.1-1) unstable; urgency=low

  * New upstream version.

 -- Brian May <bam@debian.org>  Mon, 22 Mar 2010 13:03:56 +1100

heimdal (1.4.0~git20100221.dfsg.2-3) unstable; urgency=low

  * Remove yucky comerr backport, requires libcomerr2 version 1.41.11-1
    or higher.
  * Rework debian/patches, make similar to prio 1.4.0 versions.
  * Add package-name-doesnt-match-sonames overrides for all shared libraries
    as discussed in #574572.
  * Update configure so it detects libedit library (closes: #574700).

 -- Brian May <bam@debian.org>  Sun, 21 Mar 2010 11:16:57 +1100

heimdal (1.4.0~git20100221.dfsg.2-2) unstable; urgency=low

  * Fix shlibs versions.

 -- Brian May <bam@debian.org>  Fri, 19 Mar 2010 16:46:43 +1100

heimdal (1.4.0~git20100221.dfsg.2-1) unstable; urgency=low

  * Last upload went to unstable by mistake. Lets not panic, this version
  should work fine...
  * Remove nonfree RFCs from source code (closes: #574431).
  * Add iprop-log and man page (closes: #574424).

 -- Brian May <bam@debian.org>  Fri, 19 Mar 2010 13:33:35 +1100

heimdal (1.4.0~git20100221.dfsg.1-2) experimental; urgency=low
  * Update debshlibs dependancies. Anything compiled against the
    version of Heimdal in experimental will require the libraries from
    experimental. May not strictly be required for all libraries, but
    better be safe then sorry.
  * This also will resolves a bug for the experimental version that has
    already been solved in stable (closes: 571206).

 -- Brian May <bam@debian.org>  Wed, 17 Mar 2010 12:11:51 +1100

heimdal (1.4.0~git20100221.dfsg.1-1) experimental; urgency=low

  * New upstream snapshot.
   + Exports more symbols. Closes: #563275
  * Bump standards version to 3.8.4.
  * Non-maintainer upload, acked by Brian.
  * Document how the dfsg-compatible version is created. Closes: #570413

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 20 Feb 2010 17:54:44 +0100

heimdal (1.3.1.rc2.dfsg.1-2) unstable; urgency=low

  * heimdal-kdc: Change depends on logrotate to a recommends; while
  functionality will be lost if logrotate isn't installed, it won't cause
  the sky to fall (closes: #565115). Not in my lifetime anyway.
  * Update watch files (closes: #568340).
  * Update my email address.

 -- Brian May <bam@debian.org>  Thu, 04 Feb 2010 14:42:55 +1100

heimdal (1.3.1.rc2.dfsg.1-1) unstable; urgency=low

  * New upstream package.
  * Include heimdal-dbg (closes: #561940).
  * Apply patch to fix segfaults (closes: #561850).

 -- Brian May <bam@snoopy.debian.net>  Tue, 05 Jan 2010 10:33:29 +1100

heimdal (1.3.1.dfsg.1-6) unstable; urgency=low

  * Remove references to quilt from debian/rules (closes: #561401).

 -- Brian May <bam@snoopy.debian.net>  Fri, 18 Dec 2009 14:13:16 +1100

heimdal (1.3.1.dfsg.1-5) unstable; urgency=low

  * Increase soname for libkrb5, after version symbols changed
    (closes: #560216).

 -- Brian May <bam@snoopy.debian.net>  Tue, 15 Dec 2009 10:35:39 +1100

heimdal (1.3.1.dfsg.1-4) unstable; urgency=low

  * heimdal-dev: remove dependancy on heimsqlite library.
  * heimdal-dev: remove symlinks to heimsqlite library.
  * Build against libedit-dev that comes with Debian (closes: #559910).

 -- Brian May <bam@snoopy.debian.net>  Tue, 08 Dec 2009 10:27:10 +1100

heimdal (1.3.1.dfsg.1-3) unstable; urgency=low

  * Build against sqlite3 library (closes: #559616).
  * Remove heimsqlite library as it isn't built anymore.

 -- Brian May <bam@snoopy.debian.net>  Mon, 07 Dec 2009 14:44:21 +1100

heimdal (1.3.1.dfsg.1-2) unstable; urgency=low

  * Don't fail if /usr/share/info/dir can't be deleted (closes: #552677).
    Really make the change this time.
  * Fix glaring errors on previous two changelog entries. We are still
    using new source format. Previous version fixed lintian warnings.
  * Really build against openldap (closes: #559730).

 -- Brian May <bam@snoopy.debian.net>  Mon, 07 Dec 2009 09:19:33 +1100

heimdal (1.3.1.dfsg.1-1) unstable; urgency=low

  * New upstream release (closes: #557716).
  * Discard patches that don't apply cleanly on assumption they have been
    integrated upstream already.
  * Increase soname for libhx509 to 5.
  * Replace symlinks to dirs with real directories (closes: #550646).
  * New heimsqlite library.
  * Fix lintian warnings:
    * heimdal-kdc: don't fail if /etc/default/heimdal-kdc doesn't exist.
    * heimdal-kdc: override permissions warning on /var/lib/heimdal-kdc.

 -- Brian May <bam@snoopy.debian.net>  Tue, 01 Dec 2009 09:44:23 +1100

heimdal (1.2.e1.dfsg.1-5) unstable; urgency=low

  * Use new 3.0 (quilt) format.

 -- Brian May <bam@snoopy.debian.net>  Mon, 23 Nov 2009 14:21:59 +1100

heimdal (1.2.e1.dfsg.1-4) unstable; urgency=low

  * heimdal-docs: don't distribute /usr/share/info/dir.gz (closes: #552083).
  * Fix lintian warnings:
    * heimdal-docs: add depends on dpkg (>= 1.15.4) | install-info to fix
      lintian warning.
    * heimdal-kdc: add ${misc:Depends} to depends.
    * Update standards version to 3.8.3
    * Create debian/README.source.

 -- Brian May <bam@snoopy.debian.net>  Mon, 26 Oct 2009 10:46:47 +1100

heimdal (1.2.e1.dfsg.1-3) unstable; urgency=low

  * heimdal-kdc: remove FILE: prefix from default kdc.conf file, it does
    not work (closes: #550357).

 -- Brian May <bam@snoopy.debian.net>  Wed, 21 Oct 2009 10:14:07 +1100

heimdal (1.2.e1.dfsg.1-2) unstable; urgency=low

  * debian/rules: clean out dependency_libs in the .la files shipped by
    heimdal-dev, so that reverse-dependencies don't fail to build looking
    for libdb when they don't need it.  Thanks to Thomas Viehmann for the
    patch.  Closes: #266003.

 -- Brian May <bam@snoopy.debian.net>  Thu, 03 Sep 2009 12:51:24 +1000

heimdal (1.2.e1.dfsg.1-1.1) unstable; urgency=low

  * Non-maintainer upload with permission of maintainer, Closes: #538697 
  * Implement heimdal-multidev package to provide set of headers and
    libraries that can be installed along-side MIT Kerberos Development
    files  

 -- Sam Hartman <hartmans@debian.org>  Sat, 25 Jul 2009 13:35:51 -0400

heimdal (1.2.e1.dfsg.1-1) unstable; urgency=low

  * New upstream version.
  * Increase soname of libhx509-3-heimdal to libhx509-4-heimdal.

 -- Brian May <bam@snoopy.debian.net>  Mon, 13 Jul 2009 14:43:12 +1000

heimdal (1.2.dfsg.1-5) unstable; urgency=low

  * Fix problems with postinst script. kdc.conf installed gzipped.
  * Fix line 112 of sample kdc.conf - line was intended to be commented out.
    Avoid unmatched } error.
  * Improve call to kadmin init when initially creating database.
  * Improve description of heimdal-clients package. Closes: #527021.

 -- Brian May <bam@snoopy.debian.net>  Wed, 13 May 2009 11:27:03 +1000

heimdal (1.2.dfsg.1-4) unstable; urgency=low

  * Update to use unversioned libdb-dev. Closes: #524292.

 -- Brian May <bam@snoopy.debian.net>  Thu, 16 Apr 2009 16:28:51 +1000

heimdal (1.2.dfsg.1-3) unstable; urgency=low

  * Update to use db4.5. Closes: #421938.
  * Add information on automatically creating users. Closes: #276402.
  * Update Spanish Translation (es). Closes: #507754.
  * heimdal-servers: Add provides for pop3-server. Closes: #515087.
  * Add home page header to control file.
  * Update default kdc.conf and fix it so that our Debian paths will get used.
    Closes: #495463.
  * Hack postinst script so symlinks will be created for older installs.
  * Fix various lintian warnings. Update debian/compat, standards versions,
    etc.

 -- Brian May <bam@snoopy.debian.net>  Mon, 06 Apr 2009 09:38:38 +1000

heimdal (1.2.dfsg.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * fix segfaults when using pkinit with wrong PIN. Closes: #499405

 -- Guido Günther <agx@sigxcpu.org>  Sun, 05 Oct 2008 15:12:05 +0200

heimdal (1.2.dfsg.1-2) unstable; urgency=low

  * Fix library version symbols. Again. Closes: #492427.
  * Install swedish (sv) debconf translations from #491767. Closes: #483764, #491767.

 -- Brian May <bam@snoopy.debian.net>  Tue, 29 Jul 2008 13:11:57 +1000

heimdal (1.2.dfsg.1-1) unstable; urgency=low

  * New upstream release.
  * Removed non-free RFC content.
  * Install hxtool in heimdal-clients (closes: #487119).
  * Fix issues converting source to new quilt format (closes: #485108).
    * remove more autobuilt files in clean rule
    * more series file to debian/patches
  * Update standards version to 3.8.0.
  * Use build depends on x11proto-core-dev instead of x-dev.

 -- Brian May <bam@snoopy.debian.net>  Sat, 21 Jun 2008 01:00:05 +0000

heimdal (1.1-3) unstable; urgency=low

  * Fix versioned symbols on x86_64. Closes: #453241.

 -- Brian May <bam@snoopy.debian.net>  Mon, 12 May 2008 12:47:15 +1000

heimdal (1.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Bump shlibs of libasn1-8-heimdal because of newly exported
    symbol oid_id_heim_rsa_pkcs1_x509. Closes: #479437

 -- Andreas Barth <aba@not.so.argh.org>  Sat, 10 May 2008 09:58:40 +0000

heimdal (1.1-2) unstable; urgency=low

  * Create symlink at /var/lib/heimdal-kdc/kdc.conf pointing to
    /etc/heimdal-kdc/kdc.conf, closes: #470404.
  * On upgrading existing installations create a symlink from
    /usr/share/doc/heimdal-kdc/examples/kadmind.acl pointing to
    /etc/heimdal-kdc/kadmind.acl.conf, as the kdc.conf configuration
    is not updated automatically.
  * Replace "echo -n" with printf, closes: #472229.
  * Install Dutch (nl) debconf translation, closes: #467495.
  * Install Czech (cs) debconf translation, closes: #452880.
  * Increase standards version to 3.7.3.
  * Convert debian/copyright to UTF-8.
  * Fix various lintian warnings.

 -- Brian May <bam@snoopy.debian.net>  Fri, 28 Mar 2008 09:46:09 +1100

heimdal (1.1-1) unstable; urgency=low

  * New upstream release.
  o Apply patch from upstream to fix pointer conversion in LDAP,
    closes: #463410.
  * Add missing ldap schema file, closes: #455024.
  * Add LSB formatted dependency info into init.d scripts,
    closes: #468189.

 -- Brian May <bam@snoopy.debian.net>  Fri, 29 Feb 2008 11:05:18 +1100

heimdal (1.0.1-5) unstable; urgency=low

  * The "I can make these changes. Really!" release.
  * Move po files from po/* to debian/po/*.
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #443532
  * Debconf translation updates:
  * Vietnamese. Closes: #444169
  * Russian. Closes: #444191
  * Finnish. Closes: #444255
  * Japanese. Closes: #444273
  * Galician. Closes: #444749
  * French. Closes: #445429
  * Italian. Closes: #445438
  * Brazilian Portuguese. Closes: #445733
  * German. Closes: #446013
  * Portuguese. Closes: #446542

 -- Brian May <bam@snoopy.debian.net>  Thu,  8 Nov 2007 10:18:10 +1100

heimdal (1.0.1-4) unstable; urgency=low

  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #443532
  * Debconf translation updates:
  * Vietnamese. Closes: #444169
  * Russian. Closes: #444191
  * Finnish. Closes: #444255
  * Japanese. Closes: #444273
  * Galician. Closes: #444749
  * French. Closes: #445429
  * Italian. Closes: #445438
  * Brazilian Portuguese. Closes: #445733
  * German. Closes: #446013
  * Portuguese. Closes: #446542

 -- Brian May <bam@snoopy.debian.net>  Thu,  8 Nov 2007 10:18:10 +1100

heimdal (1.0.1-3) unstable; urgency=low

  * Update debconf templates and debian/control as per review (closes:
    #443532).
  * Update vi translation (closes: #444169).
  * Update ru translation (closes: #444191).
  * Update fi translation (closes: #444255).
  * Update ja translation (closes: #444273).
  * Update gl translation (closes: #444749).
  * Upload to unstable.

 -- Brian May <bam@snoopy.debian.net>  Fri,  5 Oct 2007 13:18:06 +1000

heimdal (1.0.1-2) experimental; urgency=low

  * hcrypto4 is not built when using openssl libraries. Don't know why it got
    built on initial tests. Delete the package. Closes: #440443.

 -- Brian May <bam@snoopy.debian.net>  Wed,  5 Sep 2007 12:13:04 +1000

heimdal (1.0.1-1) experimental; urgency=low

  * New upstream release.
  * libgssapi2-heimdal conflicts with libgssapi2; this means Heimdal libraries
    cannot be installed at same time as nfs, because nfs is compiled against
    libgssapi2.

 -- Brian May <bam@snoopy.debian.net>  Fri, 10 Aug 2007 11:26:03 +1000

heimdal (0.8.1-1) experimental; urgency=low

  * New upstream version. Closes: #410231.

 -- Brian May <bam@snoopy.debian.net>  Mon,  4 Jun 2007 13:06:24 +1000

heimdal (0.7.2.dfsg.1-10) unstable; urgency=low

  * Add Portuguese debconf translation (closes: #408186).
  * Properly quote values in heimdal-kdc's postinst (closes: #408908).
  * Fixes broken conflicts in libsl0-heimdal (closes: #406651).

 -- Brian May <bam@snoopy.debian.net>  Thu,  8 Feb 2007 15:27:28 +1100

heimdal (0.7.2.dfsg.1-9) unstable; urgency=low

  * Include Spanish po-debconf translation (closes: #403481).

 -- Brian May <bam@snoopy.debian.net>  Thu, 11 Jan 2007 09:09:26 +1100

heimdal (0.7.2.dfsg.1-8) unstable; urgency=high

  * Swap -n with -z in test, otherwise servers won't get added on initial
    installation. This was due to broken fix for #401258.

 -- Brian May <bam@snoopy.debian.net>  Wed, 13 Dec 2006 14:45:52 +1100

heimdal (0.7.2.dfsg.1-7) unstable; urgency=high

  * Don't change services on upgrades, only on fresh installation, purge, and
    upgrade from old versions.  Closes: #401258.

 -- Brian May <bam@snoopy.debian.net>  Tue, 12 Dec 2006 14:45:22 +1100

heimdal (0.7.2.dfsg.1-6) unstable; urgency=low

  * Update maintainer E-Mail address.

 -- Brian May <bam@snoopy.debian.net>  Mon, 20 Nov 2006 12:02:02 +1100

heimdal (0.7.2.dfsg.1-5) unstable; urgency=low

  * Rebuild against latest openldap (closes: #385809).
  * Add SLAVE_PARAMS to KDC /etc/default/heimdal-kdc file (closes: #392933).
  * Fix klist man page (closes: #389848).

 -- Brian May <bam@debian.org>  Mon, 16 Oct 2006 15:15:32 +1000

heimdal (0.7.2.dfsg.1-4) unstable; urgency=low

  * Include KCM (closes: #379245).
  * Move heimdal-docs to Section: doc.

 -- Brian May <bam@debian.org>  Tue, 22 Aug 2006 12:19:57 +1000

heimdal (0.7.2.dfsg.1-3) unstable; urgency=low

  * Remove bashism in debian/rules. Closes: #376082.
  * Build depends on texinfo, required for makeinfo. Closes: #376224.

 -- Brian May <bam@debian.org>  Sun,  2 Jul 2006 10:49:35 +1000

heimdal (0.7.2.dfsg.1-2) unstable; urgency=low

  * Search for all references to HDB_DB_DIR "/kdc.conf" and replace with
    "/etc/heimdal-kdc/kdc.conf". Closes: #365883, #365890.

 -- Brian May <bam@debian.org>  Sun, 14 May 2006 10:42:24 +1000

heimdal (0.7.2.dfsg.1-1) unstable; urgency=low

  * Remove non-free documentation. Closes: #364860.
  * Add Galician debconf templates. Closes: #362091.
  * Update standards version to 3.7.2.

 -- Brian May <bam@debian.org>  Sat, 13 May 2006 16:02:41 +1000

heimdal (0.7.2-4) unstable; urgency=low

  * Fix file deletion in postrm. Closes: #361411.

 -- Brian May <bam@debian.org>  Mon, 10 Apr 2006 12:45:34 +1000

heimdal (0.7.2-3) unstable; urgency=low

  * Move heimdal-kdc config files, kdc.conf, kadmind.acl and .configured, from
    /var/lib/heimdal-kdc to /etc/heimdal-kdc. Closes: #351960.

 -- Brian May <bam@debian.org>  Fri,  7 Apr 2006 10:13:55 +1000

heimdal (0.7.2-2) unstable; urgency=low

  * Install krcp.1 manpage.
  * Move xnlock.1 man page to correct man page section 1.
  * heimdal-dev: add depends on comerr-dev. Closes: #357115.

 -- Brian May <bam@debian.org>  Thu, 16 Mar 2006 19:15:32 +1100

heimdal (0.7.2-1) unstable; urgency=low

  * New upstream version. Includes security fixes. Changes from upstream:

        * Fix security problem in rshd that enable an attacker to overwrite
          and change ownership of any file that root could write
          (CVE-2006-0582).

        * Fix a DOS in telnetd. The attacker could force the server to crash
          in a NULL de-reference before the user logged in, resulting in inetd
          turning telnetd off because it forked too fast (CVE-2006-0677).

        * Make gss_acquire_cred(GSS_C_ACCEPT) check that the requested name
          exists in the keytab before returning success. This allows servers
          to check if its even possible to use GSSAPI.

        * Fix receiving end of token delegation for GSS-API. It still wrongly
          uses subkey for sending for compatibility reasons, this will change
          in 0.8.

        * telnetd, login and rshd are now more verbose in logging failed and
          successful logins.

        * Bug fixes.

  * Ditch dbs build system in preference for quilt and cdbs.

  * Don't install /usr/include/ss. It's not included by any other header
    in heimdal-dev and is provided by ss-dev. Closes: #349213.

  * Also remove /usr/bin/mk_cmds which is also provided by ss-dev.

  * Supply /etc/ldap/schema/hdb.schema. Closes: #355287.

  * Move iprop man pages from heimdal-clients package into
    heimdal-kdc package. Closes: #347555.

  * Change default program for krsh from rlogin to ktelnet if no parameters
    given.  Closes: #355080.

 -- Brian May <bam@debian.org>  Thu,  9 Mar 2006 18:24:51 +1100

heimdal (0.7.1-3) unstable; urgency=high

  * Brian May <bam@debian.org>:
    * Delete patches for old Heimdal versions.
    * Update Swedish debconf translation (closes: #347605).
  * Michael Banck <mbanck@debian.org>:
    * Changes for GNU HURD: 026_posix_max (closes: #113317),
                            026_no_afs (closes: #324342).
  * Steve Langasek <vorlon@debian.org>:
    * 025_pthreads
    * High-urgency upload for RC bugfix.
    * Use -pthread -lpthread when linking shared libs, not just -pthread,
      needed for proper linking of libgssapi on mips/mipsel.  Closes: #346346.
    * Build-depend on libx11-dev, libxau-dev, libxt-dev, x-dev instead of the
      obsolete xlibs-dev.  Closes: #346680.

 -- Brian May <bam@debian.org>  Fri, 13 Jan 2006 19:04:05 +1100

heimdal (0.7.1-2) unstable; urgency=low

  * Apply 022_ftp-roken-glob again.
  * Upload for unstable.

 -- Brian May <bam@debian.org>  Thu, 22 Dec 2005 11:24:21 +1100

heimdal (0.7.1-1) experimental; urgency=low

  * New upstream version.
  * Remove krb4 support (closes: #315059, #334632).
  * Conflict with krb4.

 -- Brian May <bam@debian.org>  Mon, 24 Oct 2005 08:08:39 +1000

heimdal (0.6.3-13) unstable; urgency=low

  * Add alternative depends of debconf-2.0 in heimdal-kdc. Closes
    <URL:http://lists.debian.org/debian-devel/2005/08/msg00136.html>.
  * Update sv translations (closes: #330318).

 -- Brian May <bam@debian.org>  Sun,  2 Oct 2005 12:36:49 +1000

heimdal (0.6.3-12) unstable; urgency=low

  * Rebuild to fix broken *.la files (closes: #316980).
  * Modify rxtelnet and rxterm to use ktelnet and krsh (closes: #274063).
  * Add Vietnamese debconf translation (closes: #314197).
  * Add Czech debconf translation (closes: #314749).
  * Move string2key into heimdal-clients (closes: #314365).
  * Fix LDAP searches (closes: #318409).

 -- Brian May <bam@debian.org>  Thu, 25 Aug 2005 11:39:59 +1000

heimdal (0.6.3-11) unstable; urgency=low

  * Apply patch to fix "Remotely exploitable buffer overflow in
    getterminaltype function", reported in Secunia advisory SA15718 at
    http://secunia.com/advisories/15718/. Closes: #315065.

 -- Brian May <bam@debian.org>  Sun,  3 Jul 2005 13:54:19 +1000

heimdal (0.6.3-10) unstable; urgency=low

  * LDAP support (closes: #95246).
  * Fix buffer overflow security bug in telnet client, CAN-2005-0469,
    closes: #305574.

 -- Brian May <bam@debian.org>  Mon, 25 Apr 2005 14:48:03 +1000

heimdal (0.6.3-9) unstable; urgency=low

  * Add Japanese debconf translation (closes: #302485)
  * Updated replaces for heimdal-clients (closes: #303751).
  * Support update-alternatives with rcp man page (closes: #303753).

 -- Brian May <bam@debian.org>  Sun, 10 Apr 2005 12:47:40 +1000

heimdal (0.6.3-8) unstable; urgency=low

  * Apply patch to build on amd64 (closes: #300811).
  * Move verify_krb5_conf man page to heimdal-clients (closes: #299905).
  * Include danish debconf translations (closes: #296987).
  * Add missing (versioned) comerr-dev to build depends (closes: #293270).

 -- Brian May <bam@debian.org>  Thu, 24 Mar 2005 10:34:46 +1100

heimdal (0.6.3-7) unstable; urgency=low

  * Remove setconfig from built package, the new kdc.conf config broke this
    script, and the config it changed wasn't used by Heimdal anyway.
    Closes: #289295.
  * Add patch from upstream to stop KDC crashing with SIGPIPE error.
    Closes: #284498.

 -- Brian May <bam@debian.org>  Fri, 14 Jan 2005 15:59:20 +1100

heimdal (0.6.3-6) unstable; urgency=low

  * Make conflict between heimdal-kdc and krb5-admin-server explicit, see
    #274763 for details.
  * Supply better example kdc.conf (closes: #210575). I deliberately omitted
    the database setting as upstream say it isn't currently usable and will
    change soon. Improvements welcome.
  * Fix hardcoded paths to work with openafs (closes: #286249).

 -- Brian May <bam@debian.org>  Mon, 20 Dec 2004 10:39:43 +1100

heimdal (0.6.3-5) unstable; urgency=low

  * Add new German debconf translations (closes: #284375).
  * Set Project-Id-Version, PO-Revision-Date, Last-Translator fields to
    Swedish and Russian translations from information in BTS.
  * Remove kerberos.8.gz man page. This hack is to remove the conflict with
    kerberos4kth which also contains the same file. It doesn't appear worth
    keeping. See bug #274763 for details on conflict.
  * Add note concerning above item in README.Debian.
  * Make conflict between heimdal-kdc and krb5-kdc explicit, see #274763
    for details.

 -- Brian May <bam@debian.org>  Sun, 12 Dec 2004 15:41:05 +1100

heimdal (0.6.3-4) unstable; urgency=low

  * Adding the attached Brazilian Portuguese templates (closes: #278730).
  * Fix typo in prerm script (closes: #280354).

 -- Brian May <bam@debian.org>  Tue,  9 Nov 2004 14:09:01 +1100

heimdal (0.6.3-3) unstable; urgency=low

  * Move kerberos.8.gz from heimdal-servers into heimdal-docs package.
  * Move kadmind.8.gz from heimdal-servers into heimdal-kdc package.
  * Conflict with pop3-server instead of qpopper (closes: #274774).

 -- Brian May <bam@debian.org>  Mon, 18 Oct 2004 17:12:05 +1000

heimdal (0.6.3-2) unstable; urgency=low

  * Stop all daemons as long as PID file exists, regardless if deamon is
    enabled or not (closes: #266575).
  * Add Dutch po-debconf translations (closes: #263597).
  * Add some cleanups recommended in #95246 to debian/rules.
    * Remove debian/*.ex files.
    * Remove debian/control.* files.
    * Remove debian/ex.doc-base.package.
    * Remove obsolete libtool hack.
    * Remove calls to obsolete dh_suidregister program.

 -- Brian May <bam@debian.org>  Sat, 25 Sep 2004 14:59:21 +1000

heimdal (0.6.3-1) unstable; urgency=low

  * New upstream version.

 -- Brian May <bam@debian.org>  Tue, 14 Sep 2004 08:28:11 +1000

heimdal (0.6.2-0.6.3rc3-1) unstable; urgency=low

  * New upstream version.
  * Fixes security bugs in FTP server.

 -- Brian May <bam@debian.org>  Mon, 13 Sep 2004 16:00:23 +1000

heimdal (0.6.2-6) unstable; urgency=low

  * Update replaces header for heimdal-clients, to allow for push.8.gz
    moving from heimdal-servers to heimdal-clients (closes: #264979).

 -- Brian May <bam@debian.org>  Thu, 12 Aug 2004 09:02:48 +1000

heimdal (0.6.2-5) unstable; urgency=low

  * Cave in to pressure and remove libdb4.2-dev from depends in
    heimdal-dev. See bug #253894 for reasons, both for and against.

 -- Brian May <bam@debian.org>  Mon,  2 Aug 2004 17:46:29 +1000

heimdal (0.6.2-4) unstable; urgency=low

  * Add patch 000_afslog to make afslog work (closes: #261065).

 -- Brian May <bam@debian.org>  Sat, 31 Jul 2004 14:56:32 +1000

heimdal (0.6.2-3) unstable; urgency=low

  * Use default realm configured by krb5-config for KDC (closes:
    #251725).
  * Move push.8 man page from heimdal-servers to heimdal-clients
    (push binary is already in heimdal-clients).

 -- Brian May <bam@debian.org>  Mon, 31 May 2004 08:30:54 +1000

heimdal (0.6.2-2) unstable; urgency=low

  * Make build depends on libssl-dev versioned (closes: #249595).
  * libdb4.2 support (closes: #223055).

 -- Brian May <bam@debian.org>  Sun, 23 May 2004 10:10:04 +1000

heimdal (0.6.2-1) unstable; urgency=low

  * New upstream version.
    * Fixes possible buffer overflow bug in the krb4 code in kadmin
      (CAN-2004-0472).
    * Disables krb4 support by default in kadmin.
    * Next upstream version will remove krb4 support in kadmin.

 -- Brian May <bam@debian.org>  Tue, 11 May 2004 09:57:12 +1000

heimdal (0.6.1-1) unstable; urgency=low

  * New upstream version:
    * Fix cross realm trust vulnerability (closes: #241524).

  * The following patches removed as they appear to be in upstream:
    * patches/001_sasl_external.
    * patches/010_gcc33.
    * patches/016_nessus_dos.
    * patches/023_db4

  * Simplify patches/032_libtool_version_script, remove hunks that only
    change line numbers (these created rejects).

 -- Brian May <bam@debian.org>  Sun,  4 Apr 2004 10:14:22 +1000

heimdal (0.6-8) unstable; urgency=low

  * Change /etc/defaults/heimdal-kdc to /etc/default/heimdal-kdc in
    heimdal-kdc init.d script (closes: #236289).
  * Add french debconf templates (closes: #236891).

 -- Brian May <bam@debian.org>  Thu, 11 Mar 2004 13:07:59 +1100

heimdal (0.6-7) unstable; urgency=low

  * Use new gettext based debconf (closes: #235170).

 -- Brian May <bam@debian.org>  Sat, 28 Feb 2004 13:15:41 +1100

heimdal (0.6-6) unstable; urgency=low

  * Move /etc/defaults/heimdal-kdc to /etc/default/heimdal-kdc (closes:
    #233824)

 -- Brian May <bam@debian.org>  Wed, 25 Feb 2004 11:09:29 +1100

heimdal (0.6-5) unstable; urgency=low

  * Add sample kadmind.acl on initial installation (closes: #215649)
  * Split KDC init.d script into /etc/default/heimdal-kdc (closes: #213534).
  * Add openldap patch from upstream 001_sasl_external (LDAP is not
    enabled in build though).

 -- Brian May <bam@debian.org>  Wed, 31 Dec 2003 12:41:38 +1100

heimdal (0.6-4) unstable; urgency=low

  * The "Lets fix all these bugs release" (and see what breaks!).
  * Set standards version to 3.6.1.
  * Upgrade to DH_COMPAT version 4.
  * Fix minor errors reported by linda, including:
    * Remove call to dh_suidregister.
    * Add versioned dependancy on debhelper (closes: #216290).
    * Add versioned depends on debconf,
  * When START_KDC is set, the init.d script should stop kdc; when
    START_KPASSWDD is set, the init.d script should stop kpasswdd; not the
    other way around. Closes #214447.
  * Fix info pages by installing all files, closes #214248.
  * Add libtool patch to version symbols, thanks Steve Langasek
    <vorlon@netexpress.net>. Closes: #205592.
  * Attempt to link against libdb4.1 instead of libdb3 failed, as automake
    wouldn't stop complaining about lib/roken/Makefile.am (not touched by
    this patch). Added debian/patch/db4 all the same.

 -- Brian May <bam@snoopy.apana.org.au>  Sat, 13 Dec 2003 11:17:42 +1100

heimdal (0.6-3) unstable; urgency=low

  * Remove heimdal-libs package, I am not sure why I kept it, it isn't really
    required for upgrades. This solves the (non-)issue with the description
    (closes: #209552).

  * Fix nessus DOS attack (closes: #197161).

  * Since 0.6-2.2 no longer links with libreadline (closes: #198511).

 -- Brian May <bam@snoopy.apana.org.au>  Sun, 28 Sep 2003 11:06:57 +1000

heimdal (0.6-2.3) unstable; urgency=low

  * NMU with Blessings from Brian May <bam@debian.org>

 -- Mikael Andersson <mikan@debian.org>  Tue, 16 Sep 2003 07:14:03 +0200

heimdal (0.6-2.2) unstable; urgency=low

  * Compile against libedit instead of libreadline4.
    Added patch 015_editline
    Recreated 030_autotools (Need $TMP to be set, and add libtoolize)
    Changed builddependency from libreadline4-dev to libedit-dev
    Change configure --with-readline in rules

 -- Mikael Andersson <mikan@debian.org>  Mon, 15 Sep 2003 12:31:46 +0200

heimdal (0.6-2.1) unstable; urgency=low

  * Use com_err from comerr-dev.
  
  * Removed comerr-dev, ss-dev from Conflicts of heimdal-dev

 -- Mikael Andersson <mikan@debian.org>  Mon, 15 Sep 2003 11:36:49 +0200

heimdal (0.6-2) unstable; urgency=low

  * Remove login man page, it conflicts with the login package.

 -- Brian May <bam@debian.org>  Sat,  6 Sep 2003 12:40:01 +1000

heimdal (0.6-1) unstable; urgency=low

  * New upstream version.
  * Built for woody.

 -- Brian May <bam@debian.org>  Thu, 28 Aug 2003 15:50:17 +1000

heimdal (0.5.2-5) unstable; urgency=low

  * Update conflicts for heimdal-clients not to conflict with ftp, as it
    uses update-alternatives since version 0.16-1 (closes: #202701).

 -- Brian May <bam@debian.org>  Wed,  6 Aug 2003 12:15:05 +1000

heimdal (0.5.2-4) unstable; urgency=low

  * Move conflicts libdb3-dev to depends libdb3-dev, really-closes
    #196157.

 -- Brian May <bam@debian.org>  Sun, 29 Jun 2003 09:32:20 +1000

heimdal (0.5.2-3) unstable; urgency=low

  * Fix FTBFS error with GCC-3.3 by adding debian/patches/010_gcc33
    (closes: #196406).
  * heimdal-dev depends on libdb3-dev, closes: #196157.

 -- Brian May <bam@debian.org>  Sat, 28 Jun 2003 15:47:53 +1000

heimdal (0.5.2-2) unstable; urgency=low

  * Make heimdal-kdc daemons configurable. Also fix type in
    etc/init.d/heimdal-kdc (closes: #186353).
  * Upstream said kftp -n option was fixed in 0.5.2-1 (closes: #181697).

 -- Brian May <bam@debian.org>  Thu, 27 Mar 2003 12:26:09 +1100

heimdal (0.5.2-1) unstable; urgency=high

  * New upstream version; Fixes krb4 security bug (closes: #185164).
  * Remove versioned symbols patch, this more important.
  * Remove debian/patches/016_openssl, hopefully it is no longer required.
  * Remove debian/patches/018_sasize, hopefully it is no longer required.

 -- Brian May <bam@debian.org>  Tue, 18 Mar 2003 10:57:31 +1100

heimdal (0.5.1-7) unstable; urgency=low

  * Use versioned symbols for all libraries.

 -- Brian May <bam@debian.org>  Mon, 17 Mar 2003 12:50:38 +1100

heimdal (0.5.1-6) unstable; urgency=low

  * Fix credential delegation bug (018_gssapi_forward).
  * Rename 023_sasize patch to 018_sasize, 02* is for Debian specific
  changes, not bugs fixes of upstream code, that is for 01*.

 -- Brian May <bam@debian.org>  Fri,  7 Mar 2003 18:47:29 +1100

heimdal (0.5.1-5) unstable; urgency=low

  * Fix error with sa_size not getting initialized properly. See
  debian/patches/023_sasize.

 -- Brian May <bam@debian.org>  Tue,  4 Mar 2003 19:06:01 +1100

heimdal (0.5.1-4) unstable; urgency=low

  * Rebuild for sid.
  * 016_openssl patch to work with openssl 0.9.7.
  * Now builds on sid (closes: #178775).
  * New build will have correct dependancy on libroken (closes: #177250).

 -- Brian May <bam@debian.org>  Thu, 30 Jan 2003 11:35:44 +1100

heimdal (0.5.1-3) unstable; urgency=low

  * 015_getifaddrs patch fixes segmentation fault.
  * Remove *.rej file from 014_cache patch.

 -- Brian May <bam@debian.org>  Thu, 16 Jan 2003 13:30:07 +1100

heimdal (0.5.1-2) unstable; urgency=low

  * Move dependancy on krb5-config to heimdal-servers and heimdal-
    clients (closes: #171868).
  * Add build depends on libhesiod-dev, it is only small, and
    all versions of Heimdal need to be built the same.
  * These changes were in 0.4e-23, but missed in 0.5.1-1.

 -- Brian May <bam@debian.org>  Thu,  9 Jan 2003 16:29:39 +1100

heimdal (0.5.1-1) unstable; urgency=low

  * New upstream version.
  * Build-depends on kerberos4kth-dev 1.2.1, it includes a new version
    of libroken.
  * New major version of libasn1-6-heimdal (was libasn1-5-heimdal).

 -- Brian May <bam@debian.org>  Thu,  9 Jan 2003 14:34:54 +1100

heimdal (0.5-1) unstable; urgency=low

  * New upstream version.

 -- Brian May <bam@snoopy.apana.org.au>  Sun, 29 Sep 2002 10:06:28 +1000

heimdal (0.4e-20) unstable; urgency=low

  * Add missing depends of kerberos4kth-dev to heimdal-dev (closes:
    160669).
  * Add description of changes required to /etc/services to get hprop
    and/or iprop to work (closes: 139845).
  * Add sample inetd entry for hprop and sample code in init.d script
    for iprop (closes: #139851).

 -- Brian May <bam@snoopy.apana.org.au>  Fri, 13 Sep 2002 13:34:04 +1000

heimdal (0.4e-19) unstable; urgency=low

  * Apply patch to fix time sync problem (closes: #155816).

 -- Brian May <bam@snoopy.apana.org.au>  Tue, 20 Aug 2002 13:04:51 +1000

heimdal (0.4e-18) unstable; urgency=low

  * Apply patches from Mikael Andersson to fix FTP bug, closes: 150967.

 -- Brian May <bam@snoopy.apana.org.au>  Thu, 15 Aug 2002 10:05:46 +1000

heimdal (0.4e-17) unstable; urgency=low

  * Use Maintainer Mode for automake.
  * Include krb5.conf.5heimdal man page (closes: #150293).

 -- Brian May <bam@snoopy.apana.org.au>  Tue,  6 Aug 2002 10:30:07 +1000

heimdal (0.4e-16) unstable; urgency=low

  * Fix heap overflow bug in ftp client that allows remote code
    execution by malicious ftp server.
  * Don't delete libkafs.so

 -- Brian May <bam@snoopy.apana.org.au>  Thu, 30 May 2002 09:33:21 +1000

heimdal (0.4e-15) unstable; urgency=low

  * Attempt to use libraries from kerberos4kth.

 -- Brian May <bam@snoopy.apana.org.au>  Mon, 22 Apr 2002 18:03:13 +1000

heimdal (0.4e-14) unstable; urgency=low

  * Attempt to recompile with krb4 support. Closes: #143273.
    For some reason this was marked as grave, even though the
    rest of Heimdal functioned OK.
  * Reopens bug: cyclic dependancies exist between Heimdal and
    Kerberos4kth. This really needs to get fixed.
  * Attempt to fix this in debian/patches-0.4e-trial (still needs
    further work), but this failed as autoconf in Debian doesn't like
    autoconf files used in Heimdal.

 -- Brian May <bam@snoopy.apana.org.au>  Sat, 20 Apr 2002 15:12:57 +1000

heimdal (0.4e-13) unstable; urgency=low

  * Move push to heimdal-clients (closes: #142331).
  * The 'but I am sure I removed the build depends for kerberos4kth'
    release. Closes: #142491
  * Also get rid of libkafs0, as including an empty libkafs0 could be
    confusing. closes: #142411

 -- Brian May <bam@snoopy.apana.org.au>  Fri, 12 Apr 2002 18:44:34 +1000

heimdal (0.4e-12) unstable; urgency=low

  * Remove krb4 support, and remove build depends loop.

 -- Brian May <bam@snoopy.apana.org.au>  Wed, 10 Apr 2002 08:29:52 +1000

heimdal (0.4e-11) unstable; urgency=low

  * Move to main.
  * Attempt to get priorities correct.

 -- Brian May <bam@snoopy.apana.org.au>  Wed,  3 Apr 2002 09:12:15 +1000

heimdal (0.4e-10) unstable; urgency=low

  * Change build depends from libssl096-dev to libssl-dev, closes:
    #140690.
  * Some dependancies are still in non-us, so this can't go in
    main yet. Examples: krb5-config and kerberos4kth.

 -- Brian May <bam@snoopy.apana.org.au>  Mon,  1 Apr 2002 10:39:31 +1000

heimdal (0.4e-9) unstable; urgency=low

  * Use /bin/login instead of /usr/sbin/login (which doesn't exist),
    closes #139250. /bin/login is better then the login provided with
    Heimdal, as it provides support for PAM.

 -- Brian May <bam@snoopy.apana.org.au>  Thu, 21 Mar 2002 16:19:28 +1100

heimdal (0.4e-8) unstable; urgency=low

  * heimdal-servers: add conflicts qpopper (closes: #137208).
  * Add russian debconf template (closes: #137657). I hope the character
    encoding comes up Ok...
  * Added note in README.Debian on making ksu setuid root (closes: #84468).

 -- Brian May <bam@snoopy.apana.org.au>  Thu, 14 Mar 2002 11:35:15 +1100

heimdal (0.4e-7) unstable; urgency=low

  * Move krb5-config man page to heimdal-dev (closes: #135957).
  * Fix extended descriptions (closes #135525, #135515).
  * Move ktutil man page to heimdal-clients (closes: #136449).

 -- Brian May <bam@snoopy.apana.org.au>  Mon,  4 Mar 2002 14:19:53 +1100

heimdal (0.4e-6) unstable; urgency=low

  * Versioned conflicts against openafs (closes: #127817,#128105).

 -- Brian May <bam@snoopy.apana.org.au>  Tue,  8 Jan 2002 11:19:12 +1100

heimdal (0.4e-5) unstable; urgency=low

  * Change conflicts keerberos4kth-clients, as it has changed from
    kerberos4kth-user (closes: #124020). heimdal-clients is supposed to
    have Kerberos4kth support, hence there should be no need to have
    both installed as the same time.
  * Build problem on hppa was previously fixed (closes: #101064). 
  * Fix BSD license (closes: #123822).

 -- Brian May <bam@snoopy.apana.org.au>  Fri, 21 Dec 2001 11:46:23 +1100

heimdal (0.4e-4) unstable; urgency=low

  * Move login back to /usr/sbin/login.
  * Use update-alternatives for pagsh.
  * Apply patch to stop kstash from segfaulting (closes: #120502).

 -- Brian May <bam@snoopy.apana.org.au>  Tue,  4 Dec 2001 20:30:38 +1100

heimdal (0.4e-3) unstable; urgency=low

  * Move files to correct packages (closes: #121131)

 -- Brian May <bam@snoopy.apana.org.au>  Mon, 26 Nov 2001 09:22:36 +1100

heimdal (0.4e-2) unstable; urgency=low

  * Kerberos 4 support (closes: #65387).
  * Build libsl packages (closes: #120496).

 -- Brian May <bam@snoopy.apana.org.au>  Wed, 14 Nov 2001 17:49:40 +1100

heimdal (0.4e-1) unstable; urgency=low

  * New upstream version.

 -- Brian May <bam@snoopy.apana.org.au>  Mon, 10 Sep 2001 09:40:06 +1000

heimdal (0.4c-2) unstable; urgency=low

  * Include devfs fix, telnetd now supports /dev/pts filesystem.

 -- Brian May <bam@snoopy.apana.org.au>  Mon,  6 Aug 2001 14:20:50 +1000

heimdal (0.4c-1) unstable; urgency=low

  * New upstream version.

 -- Brian May <bam@snoopy.apana.org.au>  Sun, 29 Jul 2001 14:33:17 +1000

heimdal (0.3f-1) unstable; urgency=low

  * New upstream version.
  * Move krb5.conf.5.gz man page from libkrb5 package to heimdal-doc,
    in order to allow different versions of libkrb5 to be installed
    at same time. What was I thinking?
  * Previous compilation was based on old libraries. Lets try again...

 -- Brian May <bam@snoopy.apana.org.au>  Thu, 28 Jun 2001 09:05:09 +1000

heimdal (0.3e-6) unstable; urgency=low

  * heimdal-dev no longer conflicts with kerberos4kth-dev.
  * build conflicts with heimdal-dev, due to libtool hack.
  * remove build dependancy on kerberos4kth-dev, as it is not
    yet used.
  * remove kafs.h and kafs.3.gz is these conflict with files from
    kerberos4kth.

 -- Brian May <bam@snoopy.apana.org.au>  Tue, 12 Jun 2001 09:41:34 +1000

heimdal (0.3e-5) unstable; urgency=low

  * Fix library dependancy problem on libdb.
  * Use libtool 1.4. Other packages should link -lkrb5 or -lgssapi,
    and none of the other libraries (unless really required).
  * Split libraries apart.
  * Remove libsl, as it doesn't seem to be used anymore.
  * Remove conflicts with kerberos4kth libraries (closes: #58090).
  * Attempt build with kerberos4kth libraries (not-closed: #65387);
    attempt failed (compile error); waiting till I get more time to fix
    this or for somebody to fix it for me ;-).
  * Uses updated config.sub and config.guess files from libtool 1.4
    (as far as I can tell). Closes: #98153.
  * add 31_autotools patch to work around install libtool bug.

 -- Brian May <bam@snoopy.apana.org.au>  Tue, 22 May 2001 11:14:25 +1000

heimdal (0.3e-4) unstable; urgency=low

  * Fix more silly postinst bugs. Disable anonymous ftp logins
    by default.

 -- Brian May <bam@debian.org>  Thu, 22 Feb 2001 09:38:40 +1100

heimdal (0.3e-3) unstable; urgency=low

  * Use update-alternatives for rcp (closes: #86702)
  * Remove update-alternatives for rsh when package is removed.
  * Add upstream patch to select versions for replay_log.

 -- Brian May <bam@debian.org>  Wed, 21 Feb 2001 09:04:58 +1100

heimdal (0.3e-2) unstable; urgency=low

  * Disable anonymous ftp logins by default. This can be changed by
    using the -a option to ftpd in /etc/inetd.conf.
  * Add upstream patch to fix weak key detection.

 -- Brian May <bam@debian.org>  Sat, 17 Feb 2001 13:52:35 +1100

heimdal (0.3e-1) unstable; urgency=low

  * New upstream version 0.3e. Warning: This fixes a potential security
    problem (buffer overrun) in ftpd.

 -- Brian May <bam@debian.org>  Tue,  6 Feb 2001 12:59:14 +1100

heimdal (0.3d-8) unstable; urgency=low

  * Change section to non-US.
  * Add german translation to heimdal-lib.templates file (closes: #83754).
  * Add german translation to heimdal-kdc.templates file (closes: #83864).
  * Add Depends: libssl096 to heimdal-dev, so packages that use
    heimdal-dev no longer need to include this in build-depends:
    (unless they really do guse libssl).
  * disable openldap support by default (I may enable it latter)
    (closes: #83993).
  * add patch for openldap.
  * don't build binary-all for binary-dep target (closes: #84171).

 -- Brian May <bam@debian.org>  Wed, 31 Jan 2001 09:26:39 +1100

heimdal (0.3d-7) unstable; urgency=low

  * Replace missing prerm script for heimdal-kdc, as kadmind wasn't being
    disabled (in /etc/inetd.conf) on --remove (closes: #83526).
  * Fix type in postrm script for heimdal-servers, as inetd entry for ftp
    wasn't getting removed on -purge.
  * Fix type in postrm script for heimdal-servers-x, as inetd entry for kx
    wasn't getting removed on -purge.
  * Add swedish translation to heimdal-lib.templates file.
    Also add same translation to question in heimdal-kdc.templates, as the
    question is exactly the same (closes: #83535).

 -- Brian May <bam@debian.org>  Fri, 26 Jan 2001 10:27:13 +1100

heimdal (0.3d-6) unstable; urgency=low

  * Use rsh-server and telnet-sever virtual packages (see bug #77404).

 -- Brian May <bam@debian.org>  Thu, 18 Jan 2001 18:20:54 +1100

heimdal (0.3d-5) unstable; urgency=low

  * Fix ftp bug with ports > 32767 (closes: #81663).
  * Move krb5-config to heimdal-dev.

 -- Brian May <bam@debian.org>  Fri, 12 Jan 2001 09:02:03 +1100

heimdal (0.3d-4) unstable; urgency=low

  * Better, non-hacked fix for krb5-config. Patch from
    GOMBAS Gabor <gombasg@inf.elte.hu>.

 -- Brian May <bam@debian.org>  Tue,  9 Jan 2001 10:13:28 +1100

heimdal (0.3d-3) unstable; urgency=low

  * Compile using libssl026 instead of libdes. Patch from
    GOMBAS Gabor <gombasg@inf.elte.hu>.

 -- Brian May <bam@debian.org>  Sat,  6 Jan 2001 10:30:03 +1100

heimdal (0.3d-2) unstable; urgency=low

  * Add libdb2-dev to build-depends (closes: #80442).

 -- Brian May <bam@debian.org>  Tue, 26 Dec 2000 10:59:44 +1100

heimdal (0.3d-1) unstable; urgency=low

  * New upstream version.

 -- Brian May <bam@debian.org>  Tue, 12 Dec 2000 16:20:34 +1100

heimdal (0.3c-6) unstable; urgency=low

  * Rename xnlock.man to xnlock.1, closes: #78117
  * Move xnlock.1 to heimdal-clients-x.

 -- Brian May <bam@debian.org>  Tue, 28 Nov 2000 09:55:12 +1100

heimdal (0.3c-5) unstable; urgency=low

  * New structure for source. Now there is a different patch for each
  change from upstream (closes: 77000).
  * Move TODO and NEWS documentation to heimdal-docs, where it should always
  have been
  * Apply patch from
  http://ns1.logidee.com/~joko/heimdal/src/heimdal_cache.patch,
  which should allow PAM module to work.

 -- Brian May <bam@debian.org>  Sat, 18 Nov 2000 13:04:39 +1100

heimdal (0.3c-4) unstable; urgency=low

  * applied patch to fix ftpd problem (closes: #64746).

 -- Brian May <bam@debian.org>  Wed,  8 Nov 2000 17:26:16 +1100

heimdal (0.3c-3) unstable; urgency=low

  * Try to strip binaries again, by making libeditline libtool
  controlled.

 -- Brian May <bam@debian.org>  Mon,  9 Oct 2000 09:20:27 +1100

heimdal (0.3c-2) unstable; urgency=low

  * applied patch to disable line editing in ftp (closes: #69301).

 -- Brian May <bam@debian.org>  Thu,  5 Oct 2000 09:15:44 +1100

heimdal (0.3c-1) unstable; urgency=low

  * New upstream version.
  * applied patch to fix missing newline problem in ftp (closes: #64289).
  * dh_strip commented out, as it crashed the build process.
    A bug (#73637) has been opened on this issue.

 -- Brian May <bam@debian.org>  Mon,  2 Oct 2000 10:07:53 +1100

heimdal (0.3b-2) unstable; urgency=low

  * Add debhelper, xlib6g-dev to build dependancies (closes: #70718).
  
  * Change documentation to indicate that kadmind uses kadmind.acl,
    not kadm5.acl, as previously specified. Add warning in default
    kdc.conf file that it needs checking, as it may not be
    correct. Everything should work OK though with default values.
    closes: #69139.

 -- Brian May <bam@debian.org>  Sat,  2 Sep 2000 15:46:53 +1100

heimdal (0.3b-1) unstable; urgency=low

  * New upstream version.
  
  * Shouldn't conflict with telnet anymore, as both use
    update-alternatives (not tested yet).
  
  * Provides telnet-client instead of telnet, as telnet-client is now
    the accepted virtual package (see closed bug #58759).

 -- Brian May <bam@debian.org>  Wed, 30 Aug 2000 10:58:07 +1100

heimdal (0.3a-2) unstable; urgency=low

  * Remove /usr/include/glob.h from heimdal-dev (closes: #68649). This
  file conflicts with libc6-dev.

  * For some reason heimdal doesn't detect /usr/include/glob.h, why?

 -- Brian May <bam@debian.org>  Sun,  6 Aug 2000 18:07:52 +1000

heimdal (0.3a-1) unstable; urgency=low

  * New upstream version.
  
  * -rpath hack no longer required.
  
  * fix bug in postinst script (closes: #67509).

  * No longer conflicts with rsh-client (<< 0.16.1-1), as rsh-client
  now uses update-alternatives (closes: #58102).

  * Uses new libtool version 1.3c (closes: 59037).

 -- Brian May <bam@debian.org>  Mon, 31 Jul 2000 13:21:21 +1000

heimdal (0.2t-1) unstable; urgency=low

  * New upstream version.

 -- Brian May <bam@debian.org>  Fri, 19 May 2000 15:24:31 +1000

heimdal (0.2r-2) unstable; urgency=low

  * Add Build-Depends and Build-Conflicts line. It is possible
  that the Build-Conflicts might be excessive (some libraries  
  can be turned of with command line options to Configure),
  however, I think this is safest for now.

 -- Brian May <bam@debian.org>  Sun, 16 Apr 2000 10:29:33 +1000

heimdal (0.2r-1) unstable; urgency=low

  * New upstream version.
  * Fix yet another silly typo in postinst script.
  * Added hack to use defaults inside kadmin init without crashing.

 -- Brian May <bam@debian.org>  Wed,  5 Apr 2000 14:36:55 +1000

heimdal (0.2q-3) unstable; urgency=low

  * fix silly typo in postinst script (closes: #61482).

 -- Brian May <bam@debian.org>  Sat,  1 Apr 2000 12:33:34 +1000

heimdal (0.2q-2) unstable; urgency=low

  * Password to kstash now handled by debconf.

 -- Brian May <bam@debian.org>  Sun, 12 Mar 2000 12:16:25 +1100

heimdal (0.2q-1) unstable; urgency=low

  * New upstream version.
  * Looking through the upstream Changelog, I cannot see any changes
  that might break functionality that wasn't already broken.
  * Fix problem with debconf script (closes: #58011).
  * Change ftp dependancy to ftp-server (closes: #58118).
  * Replaced power-pc fix with patch from upstream.
  * Fixed shlibs dependancy information - all executables will now
  depend on *this* upstream version of heimdal-lib. This is currently
  a hacked solution to allow clean (future) upgrades.
  * Moved README.Debian to heimdal-docs.
  * Include doc/standardisation in heimdal-docs, contains information
  not found elsewhere.
  * Use update-alternatives for rsh.
  * Hack debian/rules not to run configure.
  * ftp/ftpd no longer seems to work, fixes welcome.
  * This should really go to frozen, but because of above problem
  will go into unstable only.
  
 -- Brian May <bam@debian.org>  Fri, 25 Feb 2000 15:46:16 +1100

heimdal (0.2l-7) frozen unstable; urgency=low

  * Copied copyright file from doc/heimdal.texi
  * heimdal-servers no longer conflicts with rsh-server (closes: #57545).
  * heimdal-lib conflicts with kerberos4kth (closes: #57587, #57602, #57654).
  * this conflicts business is never ending...
  * fixed minor bugs in README.Debian, eg there is no need to
  extract the kadmin/admin key to /etc/krb5.keytab.
  * fixed compilation problem on power-pc (closes: #57919).

 -- Brian May <bam@debian.org>  Sun, 13 Feb 2000 19:46:37 +1100

heimdal (0.2l-6) frozen unstable; urgency=low

  * Move /usr/bin/compile_et into heimdal-dev.
  * heimdal-clients conflicts with otp.
  * heimdal-dev conflicts with ss-dev and comerr-dev (closes: #56281).
  * minor changes to sample kdc.conf file. eg stash file created
  by postinst script wasn't used by kdc...

 -- Brian May <bam@debian.org>  Sat, 29 Jan 2000 09:58:00 +1100

heimdal (0.2l-5) frozen unstable; urgency=low

  * Heimdal-servers: reenable telnet properly after upgrade
    (closes: #55733).
  * Change section to non-US/main (closes: #55546).
  * These changes wont break anything that wasn't already broken ;-).
  
 -- Brian May <bam@debian.org>  Thu, 20 Jan 2000 16:13:21 +1100

heimdal (0.2l-4) frozen unstable; urgency=low

  * heimdal-kdc nows starts password server, so users can change
    passwords.
  * heimdal-kdc now inserts entry for kadmind into /etc/inetd.conf.
    kadmind is essential for normal kerberos administration.
  * Fix /etc/init.d/heimdal-kdc restart so it works.
  * No code has been changed/added/removed apart from postinst,
    prerm, postrm and init scripts for the above changes.
  * Got rid of stupid looking syntax for log file in sample kdc.conf.
  * Minor changes (including addition of examples) into README.Debian.
  * Known problem: debconf doesn't replace default value for
    some reason on initial installation. I can't see whats wrong...
    This is annoying, but not a critical problem.

 -- Brian May <bam@snoopy.apana.org.au>  Mon, 17 Jan 2000 19:07:06 +1100

heimdal (0.2l-3) unstable; urgency=low

  * Conflicts with kerberos4kth packages. closes: #54783.
  * Move kstash and man page to heimdal-kdc.
  * Move kxd man page to heimdal-servers-x.
  * Move kadmind page to heimdal-kdc.
  * Move kpasswdd and man page to heimdal-kdc.
  * Fix permissions of /var/lib/heimdal-kdc.

 -- Brian May <bam@snoopy.apana.org.au>  Fri, 14 Jan 2000 19:18:51 +1100

heimdal (0.2l-2) unstable; urgency=low

  * Move man pages into proper packages.
  * heimdal-servers now conflicts and provides ftpd.
    (closes: #54818).
  * Problems believed to already be fixed. closes: #54792.
  * heimdal-lib postrm: add -f parameter to rm so that it will not
    fail if the file doesn't exist. closes: #54847.
  * Rename telnet and ftp to ktelnet and kftp respectively.
  * Use update-alternatives for ftp and telnet.
    (note rxtelnet still uses telnet, not ktelnet).

 -- Brian May <bam@snoopy.apana.org.au>  Thu, 13 Jan 2000 10:47:14 +1100

heimdal (0.2l-1) unstable; urgency=low

  * New upstream source.
  * heimdal-clients now provides ftp, telnet, and rsh-client
    (closes: #54497).
  * heimdal-servers now provides telnetd and rsh-server.

 -- Brian May <bam@snoopy.apana.org.au>  Sun,  9 Jan 2000 10:00:02 +1100

heimdal (0.2j-1) unstable; urgency=low

  * New upstream source.
  * Improved debconf support, using setconfig helper program.
  * setconfig may not parse all valid configuration files correctly.
    Patches welcome!
  * Moved /usr/bin/login to /usr/lib/heimdal-servers/login, as I
    suspect this will help porting to the Hurd, if/when anyone tries.
  * kdc now supports (and requires) logrotate.
  * kdc tested and now works with minimal configuration.
  * heimdal-kdc does not support dpkg-reconfigure (not sure how to
    reconfigure without deleting existing setup first).

 -- Brian May <bam@snoopy.apana.org.au>  Wed,  5 Jan 2000 02:31:00 +0000

heimdal (0.2i-1) unstable; urgency=low

  * Initial Release.

 -- Brian May <bam@snoopy.apana.org.au>  Wed,  8 Dec 1999 11:54:13 +1100

